Subject: bug#942: NTEmacs hangs with cygwin\usr\X11R6\bin\libXpm.dll

From: "Juanma Barranquero" <[email-masked]>
Date: Tue, 9 Sep 2008 12:59:36 +0200

On Tue, Sep 9, 2008 at 12:19, Joshua S. <[email-masked]> wrote:

> Xpm enabled NTEmacs hangs if your %PATH% includes cygwin\usr\X11R6\bin.

It is better not to have a cygwin binary directory in Emacs' PATH. If
you don't want to mess the system or user PATH variables for Emacs,
you can define your own PATH variable as a value in the registry (in
key HKLM\Software\GNU\Emacs), and Emacs (the Windows port, at least)
will obey it.

> Since the most cygwin DLLs are not meant to be loaded by non-cygwin apps (if
> you do, they hang),
> I suggest we simply remove "libxpm.dll" and "libXpm-nox4.dll" from
> image-library-alist.

libxpm.dll and libxpm-nox4.dll are not "cygwin DLLs". There are
MinGW-compiled versions of both.

You can also modify `image-library-alist' in your path. There's no
need to change the default value.

  Juanma